@font-face {
    font-family: 'serio';
    src: url('/hobby/assets/fonts/SERIO.TTF') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'saxe';
    src: url('/hobby/assets/fonts/saxe.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
html{
    background-color: #ACBFA4;
}
body{
    font-family: "MS PGothic", "MS Gothic", "SimSun", "Fixedsys", monospace;
    
    font-size: 16px;
    
    -webkit-font-smoothing: none;
    -moz-osx-font-smoothing: grayscale; 
    text-rendering: optimizeSpeed;
    color: #262626;
}
#back{
    position: fixed;
    z-index: 10;
    background-color: #262626;
    padding: 20px;
    margin:0;
    top:0;

    clip-path: polygon(0 0, 97% 0, 100% 100%, 0 92%);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
#back a{
    color: #E2E8CE;
    text-decoration: none;
    font-family: "serio", sans-serif;
    font-size: 3em;
}
#back a:hover{
    color: #FF7F11;
}
#banner{
    padding: 20px;
    text-align: center;
    background-color: #FF7F11;
    height: 15vh;
}
h1, h2{
    font-family: "serio", sans-serif;
    font-size: 4em;
}
h2{
    font-size: 3em;
}
h3{
    font-family: "MS PGothic", "MS Gothic", "SimSun", "Fixedsys", monospace;
    font-size: 16px;
    font-style: normal;
    -webkit-font-smoothing: none;
    -moz-osx-font-smoothing: grayscale; 
    text-rendering: optimizeSpeed;
    color: #262626;
}

#content{
    background-color: #E2E8CE;
    display: flex;
    flex-direction: column;
}

#characters{
    display: flex;

    flex-direction: row;
    width: 100%;
    align-items: flex-start;
    height: 70vh;
}
#avatars, #album {
    padding: 20px;
}
#avatars{
    flex: 0 0 auto;
    display: grid;
    gap:0;
    grid-template-columns: repeat(3, 60px);
    grid-template-rows: fit-content(100%);

}
.avatar{
    width: 60px;
    height: 60px;
    border:#262626 2px solid;
    object-fit: cover;
}
#description{
    flex:2;
    background-color: rgba(255,255,255,0.5);
    height: 100%;
    
}
.char-bio-wrapper {
    height: 100%; 
    width: 100%;
    display: flex;
    flex-direction: row ;
    align-items: stretch;
}

.bio-inner {
    display: flex;
    flex-direction: row; 
    height: 100%;
    width: 100%;
}

.bio-words {
    flex: 1;
    padding: 20px;
    overflow-y: auto;
}
.stats-grid{
    padding-top: 10px;
}
.bio-image {
    flex: 0 0 auto; 
    height: 100%; 

    display: flex;
    align-items: center;
    justify-content: center;

    
}

.bio-image img {
    max-height: 120%; 
    width: auto;
    object-fit: contain;
    display: block;
    border:none;

    transform: rotate(5deg);
}

#sp{
    flex: 0 0 240px;
}
#sp a{
    transition: transform 0.5s ease;
}
#sp a:hover{
    transform: scale(1.025);
}

#footer{
    background-color: #FF7F11;
}
@media (max-width: 768px) {
    #characters {
        flex-direction: column;
        height: auto;
    }
    #avatars {
        grid-template-columns: repeat(3, 60px);
        grid-template-rows: fit-content(100%);
        margin-bottom: 20px;
    }
    .bio-inner {
        flex-direction: column;
    }
    .bio-image {
        height: auto;
        margin-bottom: 20px;
    }
}